View Issue Details

IDProjectCategoryLast Update
0019740AI War 2[All Projects] SuggestionSep 5, 2018 8:32 pm
ReporterDevoutHaruhiistAssigned Tox4000Bughunter 
Severitytrivial 
Status resolvedResolutionfixed 
Product Version0.748 Macrophage Teeth 
Fixed in Version 
Summary0019740: Is it just me or are the ships a lot slower than in AIW Classic?
DescriptionSorry if this is not the right place to post this, but now that I have been playing more AIW2 alongside AIWC, I can't help but notice the ships seem a lot slower overall (other than scouts). Even with +2 simulation speed it feels much slower for my ships to get anywhere. Is this by design or is it just something I am imagining?
TagsNo tags attached.

Activities

Ovalcircle

Jul 9, 2018 7:31 pm

reporter   ~0047791

I think the Grav wells are bigger, making it seem like the ships are slower.

RocketAssistedPuffin

Jul 9, 2018 7:44 pm

developer   ~0047792

Noticed this myself...combined with the lack of transports, game feels so slow and...can kinda get a bit boring quickly, outside of testing things for bugs, random ideas etc.

On the upside, building everything is much quicker without Engineer hordes.

x4000Bughunter

Jul 9, 2018 7:51 pm

administrator   ~0047793

Humm, it should be literally identical to the first game. I guess the grav well size is the issue, though. And build speeds, again, should be identical compared to the first game. Clearly we're not importing some things properly. We will fix it! Just a lot going on right now, but we'll definitely get it.

DevoutHaruhiist

Jul 9, 2018 10:41 pm

reporter   ~0047795

Well one thing related to this I just noticed today is that the MkIV Fighters and Bombers have vastly lower speed stats than their lower Mk counterparts.

DevoutHaruhiist

Jul 9, 2018 10:45 pm

reporter   ~0047796

(Oh, and by "MkIV" I mean what comes out of my space docks after I research MkIII, see my other thread about that)

BadgerBadger

Jul 10, 2018 12:32 am

manager   ~0047800

In AIWC, wasn't there a mechanic that made your ships faster on your own planets? (per https://wiki.arcengames.com/index.php?title=AI_War:Engines_and_Speed_(including_Tractor_Beams_and_Gravity_Effects) your ships went 2x as fast on your own planets). That mechanic is not in AIW2.

Ovalcircle

Jul 10, 2018 12:52 am

reporter   ~0047803

I don't think I ever knew all that Human Command Stations make Human ships go faster passively. I always thought that only Logistic command stations did that. Today I Learned.

RocketAssistedPuffin

Jul 10, 2018 6:57 am

developer   ~0047804

I noticed the MkIV lower speed too, but only on Auxiliaries...researching normal MkIV made them normal.

About the build speeds, just went on and built a Plasma Siege Starship in 7 seconds, which is quicker than a Missile Frigate from Classic (at 10 seconds); Bomber fleet ships actually take longer than that. Turrets show it quite significantly too, a Laser Turret being built in 2 seconds compared to the 30 of Classic.

Yeah the Command station speed boost isn't in AIW2. I recall they all had 100% Boost, while Logistics had 200%, but that never seemed to work properly...it'd always be more like 500%, or something rather extreme; ships would happily slingshot over the gravity well and empire travel time was essentially nothing.

x4000Bughunter

Jul 10, 2018 10:44 am

administrator   ~0047805

Okay, so we have some bugs there, for sure, then.

x4000Bughunter

Aug 29, 2018 1:27 pm

administrator   ~0048497

How is all this feeling now in the major new versions?

x4000Bughunter

Sep 5, 2018 8:32 pm

administrator   ~0048951

Apparently it's okay...

Issue History

Date Modified Username Field Change
Jul 9, 2018 7:05 pm DevoutHaruhiist New Issue
Jul 9, 2018 7:31 pm Ovalcircle Note Added: 0047791
Jul 9, 2018 7:44 pm RocketAssistedPuffin Note Added: 0047792
Jul 9, 2018 7:51 pm x4000Bughunter Note Added: 0047793
Jul 9, 2018 10:41 pm DevoutHaruhiist Note Added: 0047795
Jul 9, 2018 10:45 pm DevoutHaruhiist Note Added: 0047796
Jul 10, 2018 12:32 am BadgerBadger Note Added: 0047800
Jul 10, 2018 12:52 am Ovalcircle Note Added: 0047803
Jul 10, 2018 6:57 am RocketAssistedPuffin Note Added: 0047804
Jul 10, 2018 10:44 am x4000Bughunter Note Added: 0047805
Aug 29, 2018 1:27 pm x4000Bughunter Assigned To => x4000Bughunter
Aug 29, 2018 1:27 pm x4000Bughunter Status new => feedback
Aug 29, 2018 1:27 pm x4000Bughunter Note Added: 0048497
Sep 5, 2018 8:32 pm x4000Bughunter Status feedback => resolved
Sep 5, 2018 8:32 pm x4000Bughunter Resolution open => fixed
Sep 5, 2018 8:32 pm x4000Bughunter Note Added: 0048951